<!DOCTYPE html>
<html lang="ru">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
  <link rel="stylesheet" href="style.css">
  <link href="https://fonts.googleapis.com/css2?family=Noto+Sans&family=Poppins:wght@500&display=swap" rel="stylesheet"> 

  <title>Web 4</title>
  <style>
    header {
      background-color: #426A9E;
    }
    header div {
      display: flex;
      align-items: center;
    }
  </style>
</head>
<body>
  <header class="p-2">
    <div class="container-lg">
      <img class="mr-2" src="https://cdn.pixabay.com/photo/2020/06/09/19/47/squirrel-5279784__340.png" alt="Logo" style="width: 50px; height: 50px" />
      <h1 class="header">Some Random Website Name</h1>
    </div>
  </header>
  <nav class="container-lg mx-auto">
    <ul class="row mx-auto pl-3">
      <li class="col-12 col-lg m-1"><a href="#links" title = "Часть 1">Ссылки</a></li>
      <li class="col-12 col-lg m-1"><a href="#table" title = "Часть 2">Таблица</a></li>
      <li class="col-12 col-lg m-1"><a href="#form" title = "Часть 3">Форма</a></li>
    </ul>
  </nav>
  <div class="container-lg m-auto">
    <div class="row row-cols-1">
      <section id="links" class="col py-3 px-2 px-lg-4 my-2">
        <h2>Ссылки</h2>
        <ol>
          <li><a href="http://example.com/">Абсолютная гиперссылка на главную страницу сайта example.com</a></li>
          <li><a href="https://example.com/">Абсолютная на главную сайта example.com в протоколе https</a></li>
          <li><a href="ftp://example.com/myfile.zip">Ссылка на файл на сервере FTP без авторизации</a></li>
          <li><a href="ftp://user:password@example.com/myfile.zip">Ссылка на файл на сервере FTP с авторизацией</a></li>
          <li><a href="https://en.wikipedia.org/wiki/Hypertext_Transfer_Protocol#Message_format">Ссылка на фрагмент страницы некоторого сайта</a></li>
          <li><a href="#form">Ссылка на фрагмент текущей страницы</a></li>
          <li><a href="https://www.youtube.com/watch?v=dQw4w9WgXcQ&t=1">Ссылка с двумя параметрами в URL</a></li>
          <li> Cписок ссылок основной навигации сайта с подписями title <br />
            <ol>
              <li><a href="#links" title = "Часть 1">Ссылки</a></li>
              <li><a href="#table" title = "Часть 2">Таблица</a></li>
              <li><a href="#form" title = "Часть 3">Форма</a></li>
            </ol>
          </li>
          <li><a>Ссылка без href</a></li>
          <li><a href="">Ссылка с пустым href</a></li>
          <li><a href="http://example.com/" rel="nofollow">Ссылка, по которой запрещен переход поисковикам</a></li>
          <li>
            <!--noindex-->
            <a href="http://example.com/">Ссылка, запрещенная для индексации поисковиками</a>
            <!--/noindex-->
          </li>
          <li><p>
            Контекстная ссылка в тексте абзаца находится <a href="http://google.com/">тут</a>.
          </p></li>
          <li>
            <a href="http://google.com/">
              <img src="https://www.megaindex.org/media/upload/thumb/b383fbca2cb6e684c3307f5c061566e0a76a2668.png" alt="Click here" title="Ссылка-изображение" width="100" />
            </a>
          </li>
          <li>
            <img src="http://www.seoded.ru/beginner/img/ssilki-html.jpg" usemap="#linkmap" alt="Ссылка" title="Ссылки из прямоугольных и круглых областей картинки" />

            <map name="linkmap">
              <area shape="rect" coords="18,18,292,69" alt="Link" title="Link" href="https://developer.mozilla.org/ru/docs/Web/HTML/Element/A">
              <area shape="circle" coords="69,85,18" alt="Head" title="Head" href="https://developer.mozilla.org/ru/docs/Web/HTML/Element/header">
              <area shape="rect" coords="57,101,100,160" alt="Body" title="Body" href="https://developer.mozilla.org/ru/docs/Web/HTML/Element/body">
              <area shape="rect" coords="61,157,111,211" alt="Feet" title="Feet" href="https://developer.mozilla.org/ru/docs/Web/HTML/Element/footer">
            </map>
          </li>
          <li><a href="./page1.html">Относительная ссылка на страницу в текущем каталоге</a></li>
          <li><a href="./about/page2.html">Относительная на страницу в каталоге about</a></li>
          <li><a href="../page3.html">Относительная ссылка на страницу в каталоге уровнем выше текущего</a></li>
          <li><a href="../../page4.html">Относительная ссылка на страницу в каталоге двумя уровнями выше</a></li>
          <li><a href="/">Сокращенная ссылка на главную</a></li>
          <li><a href="/page1.html">Сокращенная ссылка на внутреннюю</a></li>
        </ol>
      </section>
      <section id="table" class="col py-3 px-2 px-lg-4 my-2 mx-auto order-1 order-lg-0">
        <h2>Таблица</h2>
        <table class="mx-auto">
          <tr>
            <th class="p-1 p-sm-2">Колонка 1</th>
            <th class="p-1 p-sm-2">Колонка 2</th>
            <th class="p-1 p-sm-2">Колонка 3</th>
            <th class="p-1 p-sm-2">Колонка 4</th>
          </tr>
          <tr>
            <td class="p-1 p-sm-2">Ячейка 1</td>
            <td class="p-1 p-sm-2">Ячейка 2</td>
            <td class="p-1 p-sm-2">Ячейка 3</td>
            <td class="p-1 p-sm-2">Ячейка 4</td>
          </tr>
          <tr>
            <td class="p-1 p-sm-2">Ячейка 5</td>
            <td class="p-1 p-sm-2">Ячейка 6</td>
            <td class="p-1 p-sm-2">Ячейка 7</td>
            <td class="p-1 p-sm-2" rowspan="2">Ячейка<br />8, 12</td>
          </tr>
          <tr>
            <td class="p-1 p-sm-2">Ячейка 9</td>
            <td class="p-1 p-sm-2">Ячейка 10</td>
            <td class="p-1 p-sm-2">Ячейка 11</td>
          </tr>
          <tr>
            <td class="p-1 p-sm-2" colspan="3">Ячейка 13-15</td>
            <td class="p-1 p-sm-2">Ячейка 16</td>
          </tr>
          <tr>
            <td>Ячейка 17</td>
            <td>Ячейка 18</td>
            <td>Ячейка 19</td>
            <td>Ячейка 20</td>
          </tr>
        </table>
      </section>
      <section id="form" class="col py-3 px-2 px-lg-4 my-2">
        <h2>Форма</h2>
        <form action="URL_отправки_данных"
          method="POST">
          <label>
            Имя<br />
            <input name="name"
              value="Иван Иванович"/>
          </label><br />

          <label>
            E-mail:<br />
            <input name="email"
              value="test@example.com"
              type="email" />
          </label><br />

          <label>
            Дата рождения:<br />
            <input name="field-date"
              value="1970-01-01"
              type="date" />
          </label><br />

          Пол:<br />
          <label><input type="radio" checked="checked"
            name="gender" value="male" />
            мужской
          </label>
          <label><input type="radio"
            name="gender" value="female" />
            женский
          </label>
          <label><input type="radio"
            name="gender" value="other" />
            другое
          </label>
          <br />

          Количество конечностей:<br />
          <label><input type="radio"
            name="limbs" value="0" />
            0
          </label>
          <label><input type="radio"
            name="limbs" value="1" />
            1
          </label>
          <label><input type="radio"
            name="limbs" value="2" />
            2
          </label>
          <label><input type="radio"
            name="limbs" value="3" />
            3
          </label>
          <label><input type="radio" checked="checked"
            name="limbs" value="4" />
            4
          </label>
          <label><input type="radio"
            name="limbs" value="5+" />
            5+
          </label>
          <br />

          <label>
            Сверхспособности:
            <br />
            <select name="superpowers[]"
              multiple="multiple">
              <option value="immortality">Бессмертие</option>
              <option value="going_through_walls" selected="selected">Прохождение сквозь стены</option>
              <option value="leviatation" selected="selected">Левитация</option>
            </select>
          </label><br />

          <label>
            Биография:<br />
            <textarea name="biography">Все началось, когда я родился...</textarea>
          </label><br />

          <br />
          <label><input type="checkbox"
            name="contract" />
            С контрактом ознакомлен
          </label><br />
          
          <input id="submit" type="submit" value="Отправить" />
        </form>
      </section>
    </div>
  </div>
  <footer class="px-5 py-2">
    (c) Мичков Максим 2020 
  </footer>
</body>
</html>
